---
updatedAt: 2025-06-02T20:45:53.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/v4.0/llms.txt
---

# createPayment

This method will allow you to enter a payment to the booking.

> 📘 Important
>
> You must get the Token for your payment method from the airline.

## Request parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Parameter
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        bookingconfirmation
      </td>

      <td style={{ textAlign: "left" }}>
        String\*
      </td>

      <td style={{ textAlign: "left" }}>
        bookingconfirmation as accepted on confirmBooking or getBooking
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paymentmethodtoken
      </td>

      <td style={{ textAlign: "left" }}>
        String\*
      </td>

      <td style={{ textAlign: "left" }}>
        Token received from AeroCRS support.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        amountpaid
      </td>

      <td style={{ textAlign: "left" }}>
        Money\*
      </td>

      <td style={{ textAlign: "left" }}>
        Total amount paid
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        amountcurrency
      </td>

      <td style={{ textAlign: "left" }}>
        String\*
      </td>

      <td style={{ textAlign: "left" }}>
        Currency as allowed by the company
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paymentref
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Payment reference number which will be shown to company and in receipt
      </td>
    </tr>
  </tbody>
</Table>

> ❗️ \* Mandatory parameters

## Response parameters

The method will response whether the payment was successful and the receipt link if so.

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        paymentreceived
      </td>

      <td>
        Money
      </td>

      <td>
        Amount received by the system in the currency of the company
      </td>
    </tr>

    <tr>
      <td>
        receiptnumber
      </td>

      <td>
        Number
      </td>

      <td>
        Receipt number
      </td>
    </tr>

    <tr>
      <td>
        receiptlink
      </td>

      <td>
        Link
      </td>

      <td>
        Receipt link to print to the customer if needed
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs",
    "version": "4.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v4"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/createPayment": {
      "post": {
        "summary": "createPayment",
        "description": "This method will allow you to enter a payment to the booking.",
        "operationId": "createpayment",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "bookingconfirmation": "0E7A9C87-1671-4861-A2A4-3DE779D9142D",
                        "paymentmethodtoken": "A42EA913-5121-433C-B91A-5666BA5E2C7D",
                        "amountpaid": 1,
                        "amountcurrency": "USD",
                        "paymentref": null
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "JSON": {
                    "value": "{\n    \"aerocrs\": {\n      \t\"success\": true,\n        \"paymentreceived\": 1,\n        \"receiptnumber\": 2109,\n        \"receiptlink\": \"https://clients.aerocrs.com/Shared/receipt.asp?ID=AF8FD4BB-843C-456E-AAD6-4CC8963F9810\"\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "paymentreceived": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "receiptnumber": {
                          "type": "integer",
                          "example": 2109,
                          "default": 0
                        },
                        "receiptlink": {
                          "type": "string",
                          "example": "https://clients.aerocrs.com/Shared/receipt.asp?ID=AF8FD4BB-843C-456E-AAD6-4CC8963F9810"
                        }
                      }
                    }
                  }
                }
              },
              "application/xml": {
                "examples": {
                  "XML": {
                    "value": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n  \t<success>true</success>\n    <paymentreceived>1</paymentreceived>\n    <receiptnumber>2110</receiptnumber>\n    <receiptlink>https://clients.aerocrs.com/Shared/receipt.asp?ID=E594B630-3E13-4CFA-B1FD-19E00C660AA7</receiptlink>\n</aerocrs>"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "xml",
              "code": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<aerocrs>\n   <parms>\n      <bookingconfirmation>0E7A9C87-1671-4861-A2A4-3DE779D9142D</bookingconfirmation>\n      <paymentmethodtoken>A42EA913-5121-433C-B91A-5666BA5E2C7D</paymentmethodtoken>\n      <amountpaid>1</amountpaid>\n      <amountcurrency>USD</amountcurrency>\n      <paymentref />\n   </parms>\n</aerocrs>"
            }
          ],
          "samples-languages": [
            "xml"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```